#ifndef CHierDisplayInformation_H
#define CHierDisplayInformation_H

#include "colormap.H"

#define STYLE_NONE 0x01
#define STYLE_HIGHLIGHT 0x02
#define STYLE_COLORMAP 0x04
#define STYLE_THICK 0x08
#define STYLE_DIM 0x10


class CHierDisplayInformation
{
public:
	int tree_height;

	bool SHOW_BANDS;
	bool SHOW_MEANS;
	bool SHOW_BRUSH_BKGRD;
	bool COLORED_BANDS;
	bool EXTENT_BRUSH;

	double brushed_radius;
	double cluster_radius;
	double tree_brush[2];

	int normal_style;
	int highlight_style;

	double fade_factor;
	double extent_scaling_fac;
	double density;

	colormap CMAP;  

	int dimension;

	bool database;

public:
	CHierDisplayInformation();
	~CHierDisplayInformation();
	
	void Reset();
	void SetBackend(bool backend);
};


#endif
