//modified by Jing Yang after 7/6/2001
#ifndef CSunburstClusterTree_H
#define CSunburstClusterTree_H

#include "CLinkList.H"
#include "CSunburstCluster.H"
#include "colormap.H"

class CSunburstClusterTree
{
public:
//    char *dim_cluster_file; //file according to which the tree is built;
    CSunburstCluster *root;  //root of the tree;
	int max_level;  //max level of the tree;
    double unit_angle;  //angle responds to one dimension on sunburst of this tree;
    double mini_angle;  //the minimum angle a node should keep;
	colormap CMAP;
    void Rotate(double degree);

	CLinkList* current_list;
public:
	CSunburstClusterTree();
	~CSunburstClusterTree();
	
	//set level for every node in the tree, find the max_level of the tree
	void ResetLevels();

    void ResetEntries();
	
	//set start_angles and sweep_angles for all the nodes
	void ResetAngles();
	
	//reset color of all nodes of the tree. color ~ mid angle of the node
	void ResetColors();

	void ResetCurrentList();

	CSunburstCluster* FindNodeAccordingLevelAndAngle(int level, double angle);

	CSunburstCluster* FindNodeAccordingLevelAndAngle(int level, double angle, bool &start, bool &end, bool &in);

protected:
	//construct the dim cluster tree according to the arrays;
	bool ConstructSunburstClusterTree(int num_nodes, ARR<CSunburstCluster *> nodes, ARR<int> parent_ids);
};

#endif

