//modified by Jing Yang after 7/6/2001
#include "CSunburstDataClusterTree.H"
#include "CSunburstDataCluster.H"
#include "stdio.h"
#include "XmdvTool.H"
#include <string.h>

CSunburstDataClusterTree::CSunburstDataClusterTree() : CSunburstClusterTree()
{
}


CSunburstDataClusterTree::~CSunburstDataClusterTree()
{

}

//contrucst the data cluster tree, can't work if the data hierarchy (btree) is not in the main memory
bool CSunburstDataClusterTree::ConstructTree()
{
    if ( !dataset )
        return false;

    if ( !btree )
        hierInitClusterTree();

    if ( !btree )
        return false;

    int i; 

    // Get tree size
    int num_nodes;
    num_nodes = btree->nodes.Len();
    
    // Allocate space for all node pointers and parent_ids;
    //
    ARR<CSunburstCluster *> nodes;
	ARR<int> parent_ids;

	nodes.SetLen(num_nodes);
    parent_ids.SetLen(num_nodes);

	for ( i = 0; i < num_nodes; i++ )
	{
		nodes[i] = NULL;
		parent_ids[i] = -2;
	}

	for( i = 0; i < num_nodes; i++)
	{
		nodes[i] = new CSunburstDataCluster();
        ((CSunburstDataCluster *)nodes[i])->data_node = &(btree->nodes[i]);
        nodes[i]->entries = btree->nodes[i].entries;
        parent_ids[i] = btree->nodes[i].parent;
	}
    
	//construct the dim cluster tree according to the arrays;
	if ( ConstructSunburstClusterTree(num_nodes, nodes, parent_ids) )
    {
        return true;
    }
    else
    {
        return false;
    }
}


void CSunburstDataClusterTree::ResetNames()
{
//to be done	((CSunburstDimCluster *)root)->ResetNames();
}

