
TARGETOS=WINNT

!include <ntwin32.mak>

opengllibs	= opengl32.lib glu32.lib glaux.lib

tcllibs     = tcl81.lib tk81.lib tclstub81.lib tkstub81.lib 

sqllibs     = backend\orasql8.LIB

cruntimelibs = libci.lib libcimt.lib msvcirt.lib

tclincpath  = -I".\wintcl\include"

oraclepath1 = -IC:\Oracle\Ora81\precomp\public

oraclepath2 = -IC:\Oracle\Oraclient81\precomp\public

backend_dir = backend

PACKAGE     = XmdvTool
VERSION     = 5.1B

.SUFFIXES:
.SUFFIXES: .cpp .obj

all: XmdvTool

OBJS   = \
	colormap.obj \
	ogl.obj \
	okcdata.obj \
	brush.obj \
	glyph_place.obj \
	brush_oper.obj \
	cluster.obj \
	magnify.obj \
	stats.obj \
	multi_select.obj \
	CParcoord.obj \
	CScatter.obj \
	CParcoordTool.obj \
	CGlyphTool.obj \
	CDimstackTool.obj \
	CFlatDisplayInformation.obj \
	CHierDisplayInformation.obj \
	CDimReductionDisplayInformation.obj \
	CScreenDistortion.obj \
	CDisplay.obj \
	CFlatDisplay.obj \
	CFlatParcoord.obj \
	CFlatScatter.obj \
	CFlatGlyph.obj \
	CFlatDimstack.obj \
	CHierDisplay.obj \
	CHierParcoord.obj \
	CHierScatter.obj \
	CHierGlyph.obj \
	CHierDimstack.obj \
	CHierNav.obj \
	CHierHist.obj \
	CHierTreemap.obj \
	CLinkList.obj \
	CSunburstCluster.obj \
	CSunburstClusterTree.obj \
	CSunBurstDisplay.obj \
	CSunburstDimCluster.obj \
	CSunburstDimClusterTree.obj \
	CSunBurstDimDisplay.obj \
	CSunburstDataCluster.obj \
	CSunburstDataClusterTree.obj \
	CSunBurstDataDisplay.obj \
#	ClusterDims.obj \
	CDimReducer.obj \
	OnlineDataClustering.obj \
	OnlineDimClustering.obj \
	XmdvTool.obj \
	togl.obj \
	db_buffer.obj \
	db_clock.obj \
	db_prefetch.obj \
	db_connect.obj \
	db_loader.obj \
	HistMgmt.obj


togl.obj: togl/togl.c
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm $(tclincpath) -I.\togl togl/togl.c

db_buffer.obj: $(backend_dir)/db_buffer.cpp
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm -I.\$(backend_dir) -I. $(oraclepath2) $(backend_dir)\db_buffer.cpp

db_prefetch.obj: $(backend_dir)/db_prefetch.cpp
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm -I.\$(backend_dir) -I. $(oraclepath2) $(backend_dir)\db_prefetch.cpp

db_connect.obj: $(backend_dir)/db_connect.c
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm -I.\$(backend_dir) $(oraclepath2) $(backend_dir)\db_connect.c

db_loader.obj: $(backend_dir)/db_loader.c
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm -I.\$(backend_dir) $(oraclepath2) $(backend_dir)\db_loader.c

HistMgmt.obj: SessionMgmt/HistMgmt.cpp
	$(cc) $(cflags) $(cdebug) $(cvars) /Fm -I.\SessionMgmt SessionMgmt\HistMgmt.cpp

.cpp.obj:
    $(cc) $(cflags) $(cdebug) $(cvars) /Fm $(tclincpath) -I.\$(backend_dir) $<

XmdvTool: $(OBJS)
#    $(link) $(linkdebug) $(guiflags) -subsystem:windows -entry:mainCRTStartup -out:$*.exe $(OBJS) $(tcllibs) $(opengllibs) $(sqllibs) $(cruntimelibs) $(guilibs)
    $(link) $(linkdebug) $(guiflags) -subsystem:windows -entry:mainCRTStartup -out:$*.exe $(OBJS) $(tcllibs) $(opengllibs) $(cruntimelibs) $(guilibs)
